package worker

import (
	"github.com/go-co-op/gocron"
	"time"
)

func Init() error {
	timezone, _ := time.LoadLocation("Asia/Shanghai")
	cron := gocron.NewScheduler(timezone)
	cron.Every(10).Minute().Do(func() {
		go SyncCheckin(time.Now().Format("2006-01-02"))
	})
	return nil
}
